<div class="card-grd xs-card" *ngIf="!isShowIframe">
  <div class="width-100 bg-cls" [ngStyle]="cardData ? {background:'url('+cardData.theameimg+')'} : ''">
    <div class="title-div xs-width">
      <h1 class="title-font xs-font-size">{{cardData.title}}</h1>
      <p class="text-font">{{cardData.contant}}</p>
    </div>
  </div>
  <div class="cards-div xs-card xs-width padding-left">
    <div class="card box-shadow dashboard-card mar-btm" style="width: 18rem; margin:1%;"  *ngFor="let data of cardData.data">
      <a href= "{{data.link}}" target="iframe_a" (click)="showIframe($event)" >
        <div>
          <img src="{{data.img}}" class="cls-img" >       
        </div>
        <div class="card-body card box-shadow ">
          <h5 class="card-title"> {{ data.title}}</h5>
          <p class="card-text">{{data.desc}}</p>
        </div>
      </a>
    </div>
  </div>  
</div>
<iframe *ngIf="isShowIframe" src="" name="iframe_a" class="demo_iframe"></iframe>






   
  